---
title: "Animation de personnage"
description: "Partie Animation de personnage"
---



## Partie Animation de personnage
  * Alexandre Meyer

![](../doc_charanim/charanim_tpose.jpg)




### Cours
  
  
#### (CM1) Systèmes articulés, cinématique directe et Quaternions
* [Cinématique Directe](doc/)
* [Quaternion](doc/)

Des parties en commun avec le M1, c'est la base ! En nouveauté : les quaternions et la prise en main d'Unity. Je vous invite également à regarder
* [Cette vidéo interactive expliquants les quaternions](https://eater.net/quaternions/video/intro)
* [Ce web interactif de manipulation des angles d'Euler](http://www.ctralie.com/Teaching/COMPSCI290/Materials/EulerAnglesViz/)


#### (CM2) Cinématique inverse et Animations procédurales
* IK : Méthode géométrique
* IK : Descente de gradient
* IK : Optimisation avec le Jacobien
* IK : A base d'heuristique : FABRIK
* Animations procédurales
  
[Le PDF du cours est ici.](doc/)
  

#### (CM3) Edition d'animations et Contrôle d'un personnage
* Motion graphe
* Machine à état + blend (Unity)
* Motion matching

[Le PDF du cours est ici.](doc/)
  

#### (CM4) Skinning
[Le PDF du cours est ici.](doc/)


#### (CM5) Deep learning et animation
[Le PDF du cours est ici.](doc/)




## Le TP
  * [TP Animation et cinématique inverse sous Unity](tp)
  * [Ancien TP en C++](dpc/tp)


#### Rendu
Les archives sont à rendre sur TOMUSS. [Le barème est ici.](https://docs.google.com/spreadsheets/u/0/d/10dxPOl4PPYM4w064hCYTlV5PhX5Sfo58w3TuuYE_VVo/pub?single=true&gid=0&range=A1:E21&output=html)
...
